	.386
	.model	use32 small
	extrn	allerrl : proc, negeerrl: proc

	public	_logl
	.data

nm	db	"logl",0

	.code

_logl:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	sub	edx,edx
	fldln2
	fld	tbyte ptr [ecx]
	fyl2x
	lea	eax,[nm]
	fld	tbyte ptr [ecx]
	call	negeerrl
	leave
	ret
	end